summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-08 20:51:22 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-08 20:51:22 (GMT)
commit5d0d48d6cd2f664905d704b0ae7cae5e2d09c22d (patch)
tree378ba7ce9366837944569498ececfc2e3cd0b91b
parent43ab3e988867e6fc34cd4737dca35defd1c88998 (diff)
downloadlinhes_pkgbuild-5d0d48d6cd2f664905d704b0ae7cae5e2d09c22d.zip
linhes_pkgbuild-5d0d48d6cd2f664905d704b0ae7cae5e2d09c22d.tar.gz
linhes_pkgbuild-5d0d48d6cd2f664905d704b0ae7cae5e2d09c22d.tar.bz2
more packages
-rw-r--r--abs/extra-testing/libmpeg2/PKGBUILD28
-rw-r--r--abs/extra-testing/transcode/PKGBUILD2
2 files changed, 29 insertions, 1 deletions
diff --git a/abs/extra-testing/libmpeg2/PKGBUILD b/abs/extra-testing/libmpeg2/PKGBUILD
new file mode 100644
index 0000000..672e098
--- /dev/null
+++ b/abs/extra-testing/libmpeg2/PKGBUILD
@@ -0,0 +1,28 @@
+# $Id: PKGBUILD 8677 2008-08-15 11:05:35Z andyrtr $
+# Contributor: Sarah Hay <sarah@archlinux.org>
+# Maintainer: Andreas Radke <andyrtr@archlinux.org>
+
+pkgname=libmpeg2
+pkgver=0.5.1
+pkgrel=1
+pkgdesc="libmpeg2 is a library for decoding MPEG-1 and MPEG-2 video streams."
+arch=('i686' 'x86_64')
+url="http://libmpeg2.sourceforge.net/"
+depends=('glibc')
+optdepends=('sdl: requiered for mpeg2dec'
+ 'libsm: requiered for mpeg2dec'
+ 'libxv: requiered for mpeg2dec')
+source=(http://libmpeg2.sourceforge.net/files/${pkgname}-${pkgver}.tar.gz)
+license=('GPL2')
+options=(!libtool)
+provides=('mpeg2dec')
+md5sums=('0f92c7454e58379b4a5a378485bbd8ef')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --enable-shared --disable-static || return 1
+ make OPT_CFLAGS="${CFLAGS}" \
+ MPEG2DEC_CFLAGS="${CFLAGS}" \
+ LIBMPEG2_CFLAGS="" || return 1
+ make DESTDIR=${pkgdir} install || return 1
+}
diff --git a/abs/extra-testing/transcode/PKGBUILD b/abs/extra-testing/transcode/PKGBUILD
index 3c33d2d..4198a79 100644
--- a/abs/extra-testing/transcode/PKGBUILD
+++ b/abs/extra-testing/transcode/PKGBUILD
@@ -17,7 +17,7 @@ install=transcode.install
url="http://transcoding.org"
options=(!libtool !makeflags)
source=(http://fromani.exit1.org/${pkgname}-${pkgver}.tar.bz2 \
- http://dl.sourceforge.net/sourceforge/subtitleripper/subtitleripper-${_sripver}.tgz)
+ http://easynews.dl.sourceforge.net/sourceforge/subtitleripper/subtitleripper-${_sripver}.tgz)
md5sums=('7c3a341b0e4540e34ef50c66b0ab751d' 'c0bd49a88f667c68c4430ad25bbed510')
build() {